Bug 805815 - [abrt] yum-utils-1.1.31-4.fc17: needs-restarting:85:get_open_files:IOError: [Errno 13] Permission denied
[abrt] yum-utils-1.1.31-4.fc17: needs-restarting:85:get_open_files:IOError: [...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:510e7e595e9354f32f791da1c8c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 05:14 EDT by Kamil Páral
Modified: 2014-01-21 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:55:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-03-22 05:14:24 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python -tt /usr/bin/needs-restarting
executable:     /usr/bin/needs-restarting
kernel:         3.3.0-1.fc17.i686.PAE
reason:         needs-restarting:85:get_open_files:IOError: [Errno 13] Permission denied
time:           Thu 22 Mar 2012 10:11:54 AM EDT
uid:            1000
username:       kparal

backtrace:
:needs-restarting:85:get_open_files:IOError: [Errno 13] Permission denied
:
:Traceback (most recent call last):
:  File "/usr/bin/needs-restarting", line 171, in <module>
:    sys.exit(main(sys.argv))
:  File "/usr/bin/needs-restarting", line 118, in main
:    for fn in get_open_files(pid):
:  File "/usr/bin/needs-restarting", line 85, in get_open_files
:    for line in maps.readlines():
:IOError: [Errno 13] Permission denied
:
:Local variables in innermost frame:
:files: []
:maps: <open file '/proc/1/smaps', mode 'r' at 0x93d9230>
:smaps: '/proc/1/smaps'
:pid: '1'

comment:
:I started 'needs-restarting' as non-root user.
:
:The tool should not crash, it should state that it needs to be run as root.
Comment 1 Miloslav Trmač 2012-07-19 17:10:00 EDT
Ran needs-restarting as an unprivileged user

Package: yum-utils-1.1.31-4.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Joe Zeff 2013-04-13 13:22:59 EDT
This was first reported over a year ago, and I just had it happen again.  I agree with the original reporter that if nothing else, needs-restarting should check to see if it's being run by root, and if not, exit with an explanation that it needs root access.
Comment 3 Fedora End Of Life 2013-07-03 23:25:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 06:55:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.